// **********************************************************************
//  This file contains PicSignature implementation
//  Part of : PicAlg
// **********************************************************************
// Copyright (C) 1997 PicSearch Team
// This program is free software; you can redistribute it and/or modify 
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or 
// (at your option) any later version. 
//
// This program is distributed in the hope that it will be useful, 
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
//
// General Public License for more details. 
// You should have received a copy of the GNU General Public License 
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
//
// For any comments please contact: klemstro@cs.helsinki.fi
//
// **********************************************************************

#include <string.h>
#include <PicPicture.hxx>
#include <PicSignature.hxx>
#include <mmain.hxx>

PicSignature::PicSignature() 
{
	creator_id=0;
	signature_size=0;
	signature=NULL;
}

PicSignature::~PicSignature() 
{
	if(signature)
		delete(signature);
}

/*
char *PicSignature::getBin(PICULONG &size)
{
	size=bin_signature_size;

	return(bin_signature);
}

PICBOOL PicSignature::setBin(char *data, PICULONG size)
{
	if(bin_signature)
		delete(bin_signature);

	bin_signature=new char[size];
	if(!bin_signature)
		return(boolFalse);

	bin_signature_size=size;
	memcpy(bin_signature, data, size);

	return(boolTrue);
}
*/

/*
PicObject& PicSignature::operator = (const PicObject& other)
{
  undefined("PicSignature::operator =");
  return *this;
}

PICBOOL PicSignature::operator == (const PicObject& other) const
{
  return (this == &other);
}

PICBOOL PicSignature::operator <  (const PicObject&) const
{
  undefined("PicSignature::operator <");
  return boolFalse;
}

PICBOOL PicSignature::isNull() const
{
  return boolTrue;
}

void PicSignature::setNull()
{
	if(bin_signature)
		delete(bin_signature);
	
	bin_signature=NULL;
}

*/
